#!/bin/bash

DISTRO=`uname -o |sed -e's/\n//'` ;
DISTRO2=`uname -a |sed -e's/\n//' | grep Arch`;
DISTRO3=`uname -a |sed -e's/\n//' | grep Microsoft`;
#echo SISTEMA: ${SISTEMA} ;
if test "x${DISTRO}" != "xGNU/Linux"; then
    case x${DISTRO} in \
        xCygwin*)  echo "";   DISTRO=CYGWIN;;
        xMINGW*)   echo "";   DISTRO=MINGW;;
        xFreeBSD ) echo "";   DISTRO=FREEBSD;;
        xSolaris ) echo "";   DISTRO=SOLARIS;;
        xSunOS )   echo "";   DISTRO=SUNOS;;
        xOpenBSD ) echo "";   DISTRO=OPENBSD;;
        xNetBSD )  echo "";   DISTRO=NETBSD;;
        xDarwin )  echo "";   DISTRO=DARWIN;;
        x* )       echo "";   DISTRO=NONGNULINUX;;
    esac
else
    UTU=`cat /etc/issue|grep ututo |sed -e's/\n//g'`;
    if test -e /etc/SuSE-release; then
        DISTRO=SUSE;
    elif test -e /etc/mandriva-release; then
        DISTRO=MANDRIVA;
    elif test -e /etc/mandrake-release; then
        DISTRO=MANDRAKE;
    elif test -e /etc/redhat-release; then
        DISTRO=REDHAT;
    elif test -e /etc/fedora-release; then
        DISTRO=FEDORA;
    elif test -e /etc/debian_version; then
        DISTRO=DEBIAN;
        if test -e /etc/issue ; then
            UBU=`grep 'Ubuntu' </etc/issue |sed -e's/\n//g'  `;
            if  test x"${UBU}" != x ; then
                DISTRO=UBUNTU;
            fi;
        fi;
    elif test -e /etc/yellowdog-release; then
        DISTRO=YELLOWDOG;
    elif test -e /etc/ututo-release ; then
        DISTRO=UTUTO;
    elif test -e /ututo.lastversion ; then
        DISTRO=UTUTO;
    elif test x${UTU} != x ; then
        DISTRO=UTUTO;
    elif test -e /etc/gentoo-release; then
        DISTRO=GENTOO;
    elif test -e /etc/slackware-version; then
        DISTRO=SLACKWARE;
        if test -e /etc/slax-version; then
            DISTRO=Slax;
        fi;
    fi;
    if test "x${DISTRO2}" != "x"; then
        DISTRO=ARCH;
    fi;
    if test "x${DISTRO3}" != "x"; then
        DISTRO=WINDOWS10UBUNTU;
    fi;
fi;
echo $DISTRO;

